package discRack.presentation;

import discRack.presentation.delements.*;
import discRack.presentation.dpanels.*;
import discRack.business.disc.DiscFactory;

import java.util.*;
import java.io.*;
import javax.swing.*;


/**
 * Used to manage collection of Disc DO data.
 *
 * @author Sasa Bojanic
 * @version 1.0
 */
public class Discs extends DCollection {

   private discRack.business.person.Person myPerson;

   public Discs (discRack.business.person.Person person) {
      super("Disc management");
      this.myPerson=person;
      fillCollection();
   }

   /**
     * Generates a new element of the class which instances
     * are members of collection of this class.
     *
     * return The generated instance of class that makes collection.
     */
   public DSimpleElement generateNewElement() {
      Disc d=null;
      try {
         discRack.business.disc.Disc db=new discRack.business.disc.Disc();
         db.setOwner(myPerson);
         d=new Disc(this,db);
         d.setRequired(true);
      } catch (Exception ex) {}
      return d;
   }

   private void fillCollection () {
      try {
         discRack.business.disc.Disc[] discs=DiscFactory.findDiscsForPerson(myPerson);
         if (discs!=null && discs.length>0) {
            for (int i=0; i<discs.length; i++) {
               Disc d=new Disc(this,discs[i]);
               add(d);
            }
         }
      } catch (Exception ex) {}
   }

   public void onActionCanceled (DSimpleElement del,int act) {
      if (act==0) {
         try {
            ((Disc)del).getMyDisc().delete();
            } catch (Exception ex) {}
      }
   }

   public void onElementCreated (DSimpleElement del) {
      try {
// THIS SHOULD BE REMOVED WHEN I INCLUDE DODS
         //DiscFactory.addPD(myPerson,((Disc)del).getMyDisc());
      } catch (Exception ex) {}
   }

   public void onElementDeleted (DSimpleElement del) {
      try {
         ((Disc)del).getMyDisc().delete();
// THIS SHOULD BE REMOVED WHEN I INCLUDE DODS
         //DiscFactory.removePD(myPerson,((Disc)del).getMyDisc());
      } catch (Exception ex) {}
   }

}

