//package org.enhydra.barracuda.tutorials.comp;

import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;

import org.w3c.dom.*;
import org.enhydra.xml.xmlc.*;

import org.enhydra.barracuda.core.comp.*;
import org.enhydra.barracuda.core.comp.helper.*;
//import org.enhydra.barracuda.tutorials.xmlc.*;

/**
 * Here's an example of HelloWorld using the BTemplate
 * component
 */
public class HelloWorld1 extends ComponentGateway {

    //xmlc factory (ok as static because its threadsafe)
     private static XMLCFactory xmlcFactory = null;

    //-------------------- ComponentGateway ----------------------
    /**
     * Handle the default HttpRequest. 
     */
    public Document handleDefault (BComponent root, ViewContext vc, HttpServletRequest req, HttpServletResponse resp) {
        //load the DOM object and find the target node
        if (xmlcFactory==null) xmlcFactory = new XMLCStdFactory(this.getClass().getClassLoader(), new StreamXMLCLogger());

        XMLObject page = xmlcFactory.create(barr3.presentation.HelloWorld1HTML.class);
        Node node = page.getElementById("HelloWorld");

        //create the component and bind it to the view and the model
        TemplateView tv = new DefaultTemplateView(node);
        TemplateModel tm = new HelloWorldModel();
        BTemplate templateComp = new BTemplate(tm);
        templateComp.setView(tv);

        //add the component to the root
        root.addChild(templateComp);
    
        //return the page
        return page;
    }

    //--------------- HelloWorldModel ------------------------
    /**
     * HelloWorldModel
     */
    class HelloWorldModel extends AbstractTemplateModel {
        //register the model by name
        public String getName() {
            return "HelloWorld";
        }
        
        //provide items by key
        public Object getItem(String key) {
            ViewContext vc = getViewContext();
            if (key.equals("Title")) return "Hello World 1 example";
            else if (key.equals("Descr")) return "This example demonstrates the simplest way to use the BTemplate component. Here we are implementing the Model manually as an inner class.";
            else if (key.equals("Hello")) return "Hello World! Hi Ma! Hi Pa!";
            else return super.getItem(key);
        }
    }
}
