#
# Enhydra Java Application Server Project
#
# The contents of this file are subject to the Enhydra Public License
# Version 1.1 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License on
# the Enhydra web site ( http://www.enhydra.org/ ).
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
# the License for the specific terms governing rights and limitations
# under the License.
#
# The Initial Developer of the Enhydra Application Server is Lutris
# Technologies, Inc. The Enhydra Application Server and portions created
# by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
# All Rights Reserved.
#
# Contributor(s):
#
# $Id: xml.mk,v 1.1 2003/04/14 12:25:12 sinisa Exp $
#

#
# Make rules for XHTML. These rules take files names in the form
# xxx.xhtml and produces class names xxxHTML.
#
# The following variables are recognized
#
#    o XHTML_CLASSES - List of classes to be generated from XHTML using
#      XMLC.  These classes *must* be named in the form xxxxHTML or
#      xxxxXHTML and be generated from a XHTML file named xxxx.xhtml in
#      XHTML_DIR. The names in this variable must not include the .class
#      extension.
#
#    o XHTML_DIR - Directory containing XHTML files.
#
#    o XMLC_XML_OPTS_FILE - Name of .xmlc options file to use when
#      compiling XML files with XMLC.  May be left unspecified or
#      empty.
#
#    o XMLC_XML_OPTS - Options to pass to XMLC when compiling XML
#      files.  May be left unspecified or empty.
#
#    o XMLC_xxxx_OPTS - Additional options to apply only to the compiling
#      xxxx.xhtml.
#
#    o XMLC_xxxx_OPTS_FILE - Name of .xmlc options file to use when compiling
#      xxxx.xhtml.
#

$(PACKAGE_OUTPUT)/%XML.class: $(XML_DIR)/%.xml $(XMLC_XML_OPTS_FILE) $(XMLC_%_OPTS_FILE)
	@mkdir -p $(PACKAGE_OUTPUT)
ifeq ($(XMLC_AUTO_COMP),YES)
	cp -f $(XML_DIR)/$*.xml $(PACKAGE_OUTPUT)
endif
	@CLASSPATH="$(ENHYDRA_CLASSPATH)" ; export CLASSPATH ; set -x ; \
	$(XMLC_CMD) -class $(PACKAGE).$*XML $(XMLC_XML_OPTS) $(XMLC_$*_OPTS) \
	    $(XMLC_JAVAC) $(XMLC_XML_OPTS_FILE) $(XMLC_$*_OPTS_FILE) $(XML_DIR)/$*.xml

$(PACKAGE_OUTPUT)/%XML.class: $(XML_DIR)/%.xml $(XMLC_XML_OPTS_FILE) $(XMLC_%_OPTS_FILE)
	@mkdir -p $(PACKAGE_OUTPUT)
ifeq ($(XMLC_AUTO_COMP),YES)
	cp -f $(XML_DIR)/$*.xml $(PACKAGE_OUTPUT)
endif
	@CLASSPATH="$(ENHYDRA_CLASSPATH)" ; export CLASSPATH ; set -x ; \
	$(XMLC_CMD) -class $(PACKAGE).$*XML $(XMLC_XML_OPTS) $(XMLC_$*_OPTS) \
	    $(XMLC_JAVAC) $(XMLC_XML_OPTS_FILE) $(XMLC_$*_OPTS_FILE) $(XML_DIR)/$*.xml

do_xmlc_html_targets:: $(XML_CLASSES:%=${PACKAGE_OUTPUT}/%.class)




