/*
* put your module comment here
* formatted with JxBeauty (c) johann.langhofer@nextra.at
*/


package  phoneListServer.business;

import  java.util.*;
import  java.io.*;
import  org.w3c.dom.*;
import  javax.xml.parsers.*;
import  com.lutris.util.ConfigFile;
import  com.lutris.util.Config;
import  phoneListServer.*;
import  com.lutris.appserver.server.Enhydra;
import  org.apache.soap.util.xml.*;
import  phoneListServer.business.PhoneList;
import java.io.FileNotFoundException;

public class PhoneBook {

	public PhoneBook () {
	}

	public void connect () throws Exception {
		String catalinaHome = System.getProperty("catalina.home");
		String enhydraHome=System.getProperty("enhydra.home");
		
		String confFile="/webapps/phoneBookSoapServer/phoneList.conf";
		File f=null;
		if(enhydraHome != null){
			f = new File(enhydraHome + confFile);
		}else if (catalinaHome != null){
			f = new File(catalinaHome + confFile);
		}else{
			throw new FileNotFoundException("enhydra or catalina home/"+confFile);
		}
		ConfigFile configFile = new ConfigFile(f);
		Config conf = new Config();
		conf = configFile.getConfig();
		phoneListServer.PhoneList app = new phoneListServer.PhoneList();
		app.startup(conf);
		Enhydra.register(app);
	}

public void addEntry (String firstName, String lastName, String phoneNumber) throws Exception {
	try {
		connect();
		PhoneList.addPerson(firstName, lastName, phoneNumber);
	} catch (Exception e) {
		throw  e;
	}
}

public void modifyEntry (String id, String firstName, String lastName, String phoneNumber) throws Exception {
	try {
		connect();
		PhoneList.modifyPerson(id, firstName, lastName, phoneNumber);
	} catch (Exception e) {
		throw  e;
	}
}

public void deleteEntry (String id) throws Exception {
	try {
		connect();
		PhoneList.deletePerson(id);
	} catch (Exception e) {
		throw  e;
	}
}

public Person getById (String id) throws Exception {
	try {
		connect();
		return  PhoneList.getById(id);
	} catch (Exception e) {
		throw  e;
	}
}

public Element getAllEntries () throws Exception {
	connect();
	DocumentBuilder xdb = XMLParserUtils.getXMLDocBuilder();
	Document doc = xdb.newDocument();
	Element phoneBookElement = doc.createElement("PhoneBook");
	phoneBookElement.appendChild(doc.createTextNode("\n"));
	Vector[] phoneBook = new Vector[4];
	try {
		phoneBook = PhoneList.getLists();
	} catch (Exception e) {
		throw  e;
	}
	Vector firsts = phoneBook[0];
	Vector lasts = phoneBook[1];
	Vector numbers = phoneBook[2];
	Vector ids = phoneBook[3];
	String firstName;
	String lastName;
	String phoneNumber;
	String id;
	for (int i = 0; i < firsts.size(); i++) {
		Element entryEl = doc.createElement("Entry");
		firstName = (String)firsts.elementAt(i);
		Attr firstNameAttr = doc.createAttribute("value");
		firstNameAttr.setValue(firstName);
		Element firstNameEl = doc.createElement("FirstName");
		firstNameEl.setAttributeNode(firstNameAttr);
		entryEl.appendChild(doc.createTextNode("\n    "));
		entryEl.appendChild(firstNameEl);
		entryEl.appendChild(doc.createTextNode("\n    "));
		lastName = (String)lasts.elementAt(i);
		Attr lastNameAttr = doc.createAttribute("value");
		lastNameAttr.setValue(lastName);
		Element lastNameEl = doc.createElement("LastName");
		lastNameEl.setAttributeNode(lastNameAttr);
		entryEl.appendChild(doc.createTextNode("\n    "));
		entryEl.appendChild(lastNameEl);
		entryEl.appendChild(doc.createTextNode("\n    "));
		phoneNumber = (String)numbers.elementAt(i);
		Attr phoneNumberAttr = doc.createAttribute("value");
		phoneNumberAttr.setValue(phoneNumber);
		Element phoneNumberEl = doc.createElement("PhoneNumber");
		phoneNumberEl.setAttributeNode(phoneNumberAttr);
		entryEl.appendChild(doc.createTextNode("\n    "));
		entryEl.appendChild(phoneNumberEl);
		entryEl.appendChild(doc.createTextNode("\n    "));
		id = (String)ids.elementAt(i);
		Attr idAttr = doc.createAttribute("value");
		idAttr.setValue(id);
		Element idEl = doc.createElement("Id");
		idEl.setAttributeNode(idAttr);
		entryEl.appendChild(doc.createTextNode("\n    "));
		entryEl.appendChild(idEl);
		entryEl.appendChild(doc.createTextNode("\n  "));
		phoneBookElement.appendChild(doc.createTextNode("\n  "));
		phoneBookElement.appendChild(entryEl);
		phoneBookElement.appendChild(doc.createTextNode("\n"));
	}
	return  phoneBookElement;
}
}



