/*
 *  Poker
 *
 *  Enhydra super-servlet presentation object
 *
 */

package poker.presentation.main;

// Enhydra SuperServlet imports
import com.lutris.appserver.server.httpPresentation.HttpPresentation;
import com.lutris.appserver.server.httpPresentation.HttpPresentationComms;
import com.lutris.appserver.server.httpPresentation.HttpPresentationException;
import com.lutris.util.KeywordValueException;

import poker.Poker;
import poker.business.PokerGame;
import poker.business.GameManager;


public class StatsPresentation implements HttpPresentation {


  public void run(HttpPresentationComms comms)
      throws HttpPresentationException, KeywordValueException {

    StatsHTML stats;
    stats = (StatsHTML)comms.xmlcFactory.create(StatsHTML.class);

    Poker mainApp = (Poker)comms.session.getSessionData().get("app");
    GameManager gameManager = mainApp.getGameManager();
    PokerGame game = (PokerGame)comms.session.getSessionData().get("game");

    int rank = gameManager.getRank(game.getCash());
    int count = gameManager.getCount();
    String ranking = Integer.toString(rank) + " of " + Integer.toString(count);

    stats.setTextName(game.getName());
    stats.setTextRank(ranking);
    stats.setTextCash(Integer.toString(game.getCash()));
    stats.setTextTotal(Integer.toString(game.getTotalPlayed()));
    stats.setTextLargest(Integer.toString(game.getLargestBet()));
    stats.setTextSmallest(Integer.toString(game.getSmallestBet()));
    stats.setTextWon(Integer.toString(game.getTotalWon()));
    stats.setTextLost(Integer.toString(game.getTotalPlayed() - game.getTotalWon()));

    comms.response.writeDOM(stats);
  }

}
