<?xml version="1.0" encoding="UTF-8"?>


<xsl:stylesheet
     xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
     xmlns:fo="http://www.w3.org/1999/XSL/Format"
>



<xsl:template match ="/">
	<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">

		<!-- defines page layout -->
		<fo:layout-master-set>

			<fo:simple-page-master master-name="simple"
					page-height="29.7cm"
					page-width="21cm"
					margin-top="2.5cm"
					margin-bottom="1cm"
					margin-left="3cm"
					margin-right="1cm"
					orphans="5" >
				<fo:region-body margin-top="0.7cm"/>
				<fo:region-before extent="0.7cm"/>

			</fo:simple-page-master>
		</fo:layout-master-set>

		<fo:page-sequence master-name="simple">
			<fo:static-content flow-name="xsl-region-before">
				<fo:block text-align="end"
							font-size="9pt"
							font-family="sans-serif"
							line-height="12pt" >
					OctopusDbVendors p. <fo:page-number/>
				</fo:block>
			</fo:static-content>

			<fo:flow flow-name="xsl-region-body">
				<fo:block/>

				<xsl:apply-templates select="LoaderConf"/>
				
			</fo:flow>
		</fo:page-sequence>
	</fo:root>
</xsl:template>



<!-- OctopusDbVendors -->

<xsl:template match="OctopusDbVendors">
    <fo:block font-size="20pt" 
	font-family="sans-serif"
	font-weight="bold"
	line-height="30pt"
	space-after.optimum="5pt"
	color="blue"
	text-align="center">
	OctopusDbVendors
    </fo:block>    
    
    <fo:block font-size="14pt" 
	font-family="sans-serif"
	line-height="21pt"
	space-after.optimum="2pt"
	text-align="center">
	Drivers setings that OctopusDBVendors.xml contains.
    </fo:block>
	<fo:block
	space-before.optimum="30pt"
	/>
    
    <xsl:apply-templates/>
   
</xsl:template>



<!-- dbVendor -->

<xsl:template match="dbVendor">
    <fo:block font-size="14pt" 
	font-family="sans-serif"
	font-weight="bold"
	line-height="19pt"
	space-after.optimum="1pt"
	color="blue"
	text-align="end">
	dbVendor: <xsl:value-of select="@name"/>, 
	driver: <xsl:value-of select="@driverName"/>
    </fo:block>
    
    <fo:table>
	<fo:table-column column-width="7cm"/>
	<fo:table-column column-width="10cm"/>
	<fo:table-body font-size="12pt" 
		line-height="16pt"
		font-family="sans-serif">
		       

		       <fo:table-row>
		         <fo:table-cell border-top-width="0.2mm" border-top-style="solid">
		            <fo:block text-align="start" font-weight="bold" start-indent="15pt">
		               ClassName:
		            </fo:block>
		         </fo:table-cell>
		         <fo:table-cell border-top-width="0.2mm" border-top-style="solid">
		            <xsl:for-each select="ClassName">
		              <fo:block text-align="start">
		                <xsl:value-of select="@value"/>
		              </fo:block>
		            </xsl:for-each>
		         </fo:table-cell>
		       </fo:table-row>
		       
		       <fo:table-row>
		         <fo:table-cell border-top-width="0.2mm" border-top-style="solid">
		            <fo:block text-align="start" font-weight="bold" start-indent="15pt">
		               RequiredUser:
		            </fo:block>
		         </fo:table-cell>
		         <fo:table-cell border-top-width="0.2mm" border-top-style="solid">
		            <xsl:for-each select="RequiredUser">
		              <fo:block text-align="start">
		                <xsl:value-of select="@value"/>
		              </fo:block>
		            </xsl:for-each>
		         </fo:table-cell>
		       </fo:table-row>

		       <fo:table-row>
		         <fo:table-cell>
		            <fo:block text-align="start" font-weight="bold" start-indent="15pt">
		               FirstColumnResult:
		            </fo:block>
		         </fo:table-cell>
		         <fo:table-cell>
		            <xsl:for-each select="FirstColumnResult">
		              <fo:block text-align="start">
		                <xsl:value-of select="@value"/>
		              </fo:block>
		            </xsl:for-each>
		         </fo:table-cell>
		       </fo:table-row>
		       
		       <fo:table-row>
		         <fo:table-cell>
		            <fo:block text-align="start" font-weight="bold" start-indent="15pt">
		               EnableJumpInResult:
		            </fo:block>
		         </fo:table-cell>
		         <fo:table-cell>
		            <xsl:for-each select="EnableJumpInResult">
		              <fo:block text-align="start">
		                <xsl:value-of select="@value"/>
		              </fo:block>
		            </xsl:for-each>
		         </fo:table-cell>
		       </fo:table-row>
		       
		       <fo:table-row>
		         <fo:table-cell>
		            <fo:block text-align="start" font-weight="bold" start-indent="15pt">
		               EnablePreviousRecord:
		            </fo:block>
		         </fo:table-cell>
		         <fo:table-cell>
		            <xsl:for-each select="EnablePreviousRecord">
		              <fo:block text-align="start">
		                <xsl:value-of select="@value"/>
		              </fo:block>
		            </xsl:for-each>
		         </fo:table-cell>
		       </fo:table-row>
		       
		       <fo:table-row>
		         <fo:table-cell>
		            <fo:block text-align="start" font-weight="bold" start-indent="15pt">
		               BeforeFirstRow:
		            </fo:block>
		         </fo:table-cell>
		         <fo:table-cell>
		            <xsl:for-each select="BeforeFirstRow">
		              <fo:block text-align="start">
		                <xsl:value-of select="@value"/>
		              </fo:block>
		            </xsl:for-each>
		         </fo:table-cell>
		       </fo:table-row>
		       
		       <fo:table-row>
		         <fo:table-cell>
		            <fo:block text-align="start" font-weight="bold" start-indent="15pt">
		               AfterLastRow:
		            </fo:block>
		         </fo:table-cell>
		         <fo:table-cell>
		            <xsl:for-each select="AfterLastRow">
		              <fo:block text-align="start">
		                <xsl:value-of select="@value"/>
		              </fo:block>
		            </xsl:for-each>
		         </fo:table-cell>
		       </fo:table-row>
		       
		       <fo:table-row>
		         <fo:table-cell>
		            <fo:block text-align="start" font-weight="bold" start-indent="15pt">
		               EnableOrderBy:
		            </fo:block>
		         </fo:table-cell>
		         <fo:table-cell>
		            <xsl:for-each select="EnableOrderBy">
		              <fo:block text-align="start">
		                <xsl:value-of select="@value"/>
		              </fo:block>
		            </xsl:for-each>
		         </fo:table-cell>
		       </fo:table-row>
				 
		</fo:table-body>
		
	</fo:table>
	<fo:block
	space-before.optimum="40pt"
	/>
   
</xsl:template>
    
    


</xsl:stylesheet>