/*
 * LoaderTest.java   Sept 01, 2002
 *
 * Sample JUnit test using Loader for creating test database and 
 * inserting data into it.
 *
 */


import java.sql.Connection;
import java.sql.DriverManager;

import org.webdocwf.util.loader.test.LoaderTestCase;
import org.webdocwf.util.loader.Loader;

import junit.framework.TestCase;
import junit.framework.Test;
import junit.framework.TestSuite;
import junit.framework.TestResult;

/**
 * @author Sinisa Milosevic
 * @version $Revision: 1.1 $
 */
public class LoaderTest extends LoaderTestCase
{
   
    public LoaderTest(String name)
    {
        super(name);
    }

    /**
     * Returns the test database connection.
     */
    public Connection getConnection() throws Exception
    	{
    	
  		 	Class driverClass = Class.forName("com.internetcds.jdbc.tds.Driver");
       	Connection jdbcConnection = DriverManager.getConnection(
                "jdbc:freetds:sqlserver://192.168.0.4:1433/master", "sa", "");

    		return jdbcConnection;	
    	}	

    /**
     * Returns the name of test database.
     */

    public String getDatabaseName() throws Exception
		{
			return "OMDSTest";	
		}

    /**
     * Returns the test Loader class (loaderjob).
     */
    public Loader getLoader() throws Exception
    	{
    		Loader loadJob= new Loader("../examples/ObjectLoader/LoadTestExample.xml");
    		loadJob.setUserID("admin");
    		
    		return loadJob;
    	}

	public void testMe() throws Exception
    {
		System.out.println("testMe");
	}
    	
   public static Test suite() { 
    return new TestSuite(LoaderTest.class); 
}
 	
    	
   public static void main(String args[]) { 
//    	junit.textui.TestRunner.run(suite());
	TestResult result= (new LoaderTest("testMe")).run();

}



}





