/*
 * LoaderTest.java   Sept 01, 2002
 *
 * Sample JUnit test using Loader for creating test database and 
 * inserting data into it.
 *
 */


import java.sql.Connection;
import java.sql.DriverManager;

import org.webdocwf.util.loader.test.LoaderTestCase;
import org.webdocwf.util.loader.test.DatabaseOperation;
import org.webdocwf.util.loader.test.LoaderOperation;
import org.webdocwf.util.loader.Loader;

import junit.framework.TestCase;
import junit.framework.Test;
import junit.framework.TestSuite;
import junit.framework.TestResult;

/**
 * @author Sinisa Milosevic
 * @version $Revision: 1.1 $
 */
public class LoaderTest2 extends LoaderTestCase
{
   
    public LoaderTest2(String name)
    {
        super(name);
    }

    /**
     * Returns the test database connection.
     */
    public Connection getConnection() throws Exception
    	{
    	
  		 	Class driverClass = Class.forName("com.internetcds.jdbc.tds.Driver");
       	Connection jdbcConnection = DriverManager.getConnection(
                "jdbc:freetds:sqlserver://192.168.0.4:1433/master", "sa", "");

    		return jdbcConnection;	
    	}	

    /**
     * Returns the test Loader class (loaderjob).
     */
    public Loader getLoader() throws Exception
    	{
    		Loader loadJob= new Loader("../examples/ObjectLoader/LoaderExample1.xml");
    		loadJob.setUserID("admin");
    		
    		return loadJob;
    	}

    /**
     * Returns the database operations executed in test setup. First operation will be 
     * executed dbOperation[0], then dbOperation[1]...
     */
    public DatabaseOperation[] getSetUpOperation() throws Exception
    {
//			Executing loaderJob defined in xml file.
        DatabaseOperation[] dbOperation = new DatabaseOperation[1];
        dbOperation[0]=new LoaderOperation(getLoader());
        
        return dbOperation;
    }
    
        /**
     * Returns the database operation executed in test cleanup.
     *  First operation will be executed dbOperation[0], then dbOperation[1]...
     */
    public DatabaseOperation[] getTearDownOperation() throws Exception
    {
//				Do nothing...
        DatabaseOperation[] dbOperation = new DatabaseOperation[1];
        dbOperation[0]=DatabaseOperation.DO_NOTHING;

        return dbOperation;
    }


	public void testMe() throws Exception
    {
		System.out.println("Executing test: testMe");
	}
    	
   public static Test suite() { 
    return new TestSuite(LoaderTest2.class); 
}
 	
    	
   public static void main(String args[]) { 
//    	junit.textui.TestRunner.run(suite());
  		TestResult result= (new LoaderTest2("testMe")).run();

}



}





